# Method: localinventory.custombatch

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#body.LocalinventoryCustomBatchResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#body.aspect)
- [LocalinventoryCustomBatchRequest](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#LocalinventoryCustomBatchRequest)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#LocalinventoryCustomBatchRequest.SCHEMA_REPRESENTATION)
- [LocalinventoryCustomBatchRequestEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#LocalinventoryCustomBatchRequestEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#LocalinventoryCustomBatchRequestEntry.SCHEMA_REPRESENTATION)
- [LocalinventoryCustomBatchResponseEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#LocalinventoryCustomBatchResponseEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#LocalinventoryCustomBatchResponseEntry.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#try-it)

Updates local inventory for multiple products or stores in a single request.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/localinventory/batch`

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#LocalinventoryCustomBatchRequest`.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#LocalinventoryCustomBatchResponseEntry`) } ], "kind": string } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#LocalinventoryCustomBatchResponseEntry`)`` The result of the execution of the batch requests. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#localinventoryCustomBatchResponse`". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## LocalinventoryCustomBatchRequest

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#LocalinventoryCustomBatchRequestEntry`) } ] } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch#LocalinventoryCustomBatchRequestEntry`)`` The request entries to be processed in the batch. |

## LocalinventoryCustomBatchRequestEntry

Batch entry encoding a single local inventory update request.

| JSON representation |
|---|
| ``` { "batchId": integer, "merchantId": string, "method": string, "productId": string, "localInventory": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory#LocalInventory`) } } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` An entry ID, unique within the batch request. |
| `merchantId` | `string` The ID of the managing account. |
| `method` | `string` Method of the batch request entry. Acceptable values are: - "`insert`" <br /> |
| `productId` | `string` The ID of the product for which to update local inventory. |
| `localInventory` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory#LocalInventory`)`` Local inventory of the product. |

## LocalinventoryCustomBatchResponseEntry

Batch entry encoding a single local inventory update response.

| JSON representation |
|---|
| ``` { "batchId": integer, "errors": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`) }, "kind": string } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` The ID of the request entry this entry responds to. |
| `errors` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`)`` A list of errors for failed custombatch entries. > [!NOTE] > **Note:** Schema errors fail the whole request. <br /> |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#localinventoryCustomBatchResponseEntry`" |